PX_GET_DATA_GRAPHIC(3)

NAME
PX_get_data_graphic — Get graphic data field

SYNOPSIS

#include <paradox.h>

int PX_get_data_graphic(pxdoc_t *pxdoc, char *data, int len, int *mod, int *blobsize, char **value)

DESCRIPTION

Reads a graphic data field. This function may be used only for blobs of type pxfGraphic.

data points to the start of the data field in the record. It must be calculated by summing up all field length before the field to operate on and add it to the base pointer of the record. You should use this function instead of accessing the data directly.

PX_get_data_graphic returns blob data stored in the record itself, or in an MB files which must have been set with PX_set_blob_file(3).

The function allocates memory for the data returned in *value. This memory has to be freed by the application. The amount of memory for the blob is returned in *blobsize. *mod returns the so called modification number of the blob which can often be used as an unique id for creating file names, if the data is saved in a file.

    Note:

    This function is deprecated and obsolete if PX_retrieve_record(3) is used.

RETURN VALUE

Returns 0 if the value is NULL, -1 in case of an error and 1 otherwise.

SEE ALSO

PX_get_data_blob(3), PX_get_data_bcd(3), PX_get_data_byte(3), PX_get_data_long(3), PX_get_data_short(3), PX_get_data_double(3), PX_get_data_byte(3), PX_get_data_bytes(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.